<?php
// ======================================================================
// Auteur : Donatien CELIA
// Licence : CeCILL v2
// ======================================================================

error_reporting(E_ALL);

require "class_page.php";                                              // - On inclut la class Page

class PageMessagerie extends Page
{
    function __construct()
    {
      // - on appele le constructeur du parent
      parent::__construct();

      // - on renseigne qq infos du parent
      parent::SetNomPage( "messagerie");
      parent::SetAffichageHeader( 0 );
      parent::SetAffichageMenu( 0 );
      parent::SetAffichageFooter( 0 );

      $this->AjouterCSS("page_messagerie.css");

      // - on ajoute les contenus utiles
      $this->AjouterContenu("contenu", "contenus/page_messagerie.php");
    }

    // - Affichage de la page
    public function Afficher()
    {
      // - On se connecte  la base de donnes
      parent::ConnecterBD();

      // - on rcupre des infos de la session
      $account_id = $_SESSION['account_id'];

      // - Parcours des messages
      $_SESSION['message_compteur']    = 0;
      $_SESSION['message_id']          = array();
      $_SESSION['message_object']      = array();
      $_SESSION['message_date_envoi']  = array();
      $_SESSION['message_is_read']     = array();

      // - On rcupre les donnes
      $sql  = "SELECT message_id, is_read, object, date_envoi FROM \"libertribes\".\"MESSAGE\" WHERE account_id = $account_id AND type = 1 AND is_delete = 0";
      $result = parent::Requete( $sql );
      if ($result)
      {
        $iCpt = 0;
        while ($row = pg_fetch_row($result) )
        {
          // - on stocke les messages
          $_SESSION['message_id'][$iCpt]         = $row[0];
          $_SESSION['message_is_read'][$iCpt]    = $row[1];
          $_SESSION['message_object'][$iCpt]     = $row[2];
          $_SESSION['message_date_envoi'][$iCpt] = $row[3];

          $iCpt++;
        }

        $_SESSION['message_compteur'] = $iCpt;
      }


      parent::Afficher();

      // - gestion spcifique de la page

    }// - Fin de la fonction Afficher

}// - Fin de la classe

?>